function sendChatGPTRequest(processError) {
    var inputElement = document.getElementById('message-input');
    var message = inputElement.value;

    var xhr = new XMLHttpRequest();
    var url = localStorage.getItem('apiUrl');
    var apiKey = localStorage.getItem('apiKey');
    var model = localStorage.getItem('model');
    var customModel = localStorage.getItem('customModel');

    if (!url || !apiKey || !model) {
        processError('API URL, API Key, and model must be provided in Settings.');
        return;
    }

    var data = JSON.stringify({
        model: model === 'custom' ? customModel : model,
        messages: [
            { role: 'user', content: message }
        ],
        stream: true
    });

    window.native.doChatGptRequest(url, apiKey, data);
}
