var defaultSettings = {
    apiUrl: 'https://api.pawan.krd/v1/chat/completions'
}

function initializeSettings() {
    if (!localStorage.getItem('apiKey')) {
        var settings = window.native.loadSettingsFromFile();
        if (settings && settings.apiKey) {
            localStorage.setItem('apiKey', settings.apiKey);
            localStorage.setItem('model', settings.model);
            localStorage.setItem('customModel', settings.customModel);
            localStorage.setItem('apiUrl', settings.apiUrl);
        } else {
            localStorage.setItem('apiUrl', defaultSettings.apiUrl);
        }
    }
}
