var isDragging = false;
var startY;
var startScrollTop;

function handleMouseDown(event) {
    isDragging = true;
    startY = event.pageY;
    startScrollTop = document.getElementById('chat-container').scrollTop;
    event.preventDefault(); // Prevent text selection while dragging
}

function handleMouseMove(event) {
    if (!isDragging) return;
    var deltaY = event.pageY - startY;
    document.getElementById('chat-container').scrollTop = startScrollTop - deltaY;
}

function handleMouseUp(event) {
    isDragging = false;
}

var chatContainer = document.getElementById('chat-container');
chatContainer.addEventListener('mousedown', handleMouseDown);
document.addEventListener('mousemove', handleMouseMove);
document.addEventListener('mouseup', handleMouseUp);
